const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    console.log('Frame context:', frameContext);

    const button = document.querySelector('.frameButton');
    button.addEventListener('click', async () => {
      try {
        const message = await window.frames.postMessage({
          action: 'post',
          data: {
            requestType: 'getFriendStats'
          }
        });
        console.log('Message posted:', message);
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
